## Apache Zeta Components Manual :: Docs For Class ezcWorkflowExecutionVisualizerPlugin

### Workflow::ezcWorkflowExecutionVisualizerPlugin

### Class ezcWorkflowExecutionVisualizerPlugin

Execution plugin that visualizes the execution.

1. <?php
2. $db=ezcDbFactory :: create ('mysql://test@localhost/test');
3. $definition=new ezcWorkflowDatabaseDefinitionStorage ($db);
4. $workflow=$definition->loadByName('Test');
5. $execution=new ezcWorkflowDatabaseExecution ($db);
7. $execution->workflow=$workflow;
8. $execution->addPlugin(new ezcWorkflowExecutionVisualizerPlugin ('/tmp') );
9. $execution->start();
10. ?>

Source for this file: /Workflow/src/execution/plugin/visualizer.php

    ezcWorkflowExecutionPlugin
       |
       --ezcWorkflowExecutionVisualizerPlugin

Version: | //autogen//

### Member Variables

protected integer | `$fileCounter = 0` Filename counter.
protected array(string=>mixed) | `$properties = array()` Properties.

### Method Summary

public ezcWorkflowExecutionVisualizerPlugin | `__construct( $directory )` Constructor.
public void | `afterNodeActivated( $execution , $node )` Called after a node has been activated.
public void | `afterNodeExecuted( $execution , $node )` Called after a node has been executed.
protected void | `visualize( $execution )` Visualizes the current state of the workflow execution.

### Inherited Methods

From ezcWorkflowExecutionPlugin
public void | `ezcWorkflowExecutionPlugin::afterExecutionCancelled()` Called after an execution has been cancelled.
public void | `ezcWorkflowExecutionPlugin::afterExecutionEnded()` Called after an execution has successfully ended.
public void | `ezcWorkflowExecutionPlugin::afterExecutionResumed()` Called after an execution has been resumed.
public void | `ezcWorkflowExecutionPlugin::afterExecutionStarted()` Called after an execution has been started.
public void | `ezcWorkflowExecutionPlugin::afterExecutionSuspended()` Called after an execution has been suspended.
public void | `ezcWorkflowExecutionPlugin::afterNodeActivated()` Called after a node has been activated.
public void | `ezcWorkflowExecutionPlugin::afterNodeExecuted()` Called after a node has been executed.
public void | `ezcWorkflowExecutionPlugin::afterThreadEnded()` Called after a thread has ended.
public void | `ezcWorkflowExecutionPlugin::afterThreadStarted()` Called after a new thread has been started.
public void | `ezcWorkflowExecutionPlugin::afterVariableSet()` Called after a variable has been set.
public void | `ezcWorkflowExecutionPlugin::afterVariableUnset()` Called after a variable has been unset.
public bool | `ezcWorkflowExecutionPlugin::beforeNodeActivated()` Called before a node is activated.
public mixed | `ezcWorkflowExecutionPlugin::beforeVariableSet()` Called before a variable is set.
public bool | `ezcWorkflowExecutionPlugin::beforeVariableUnset()` Called before a variable is unset.

### Methods

#### __construct

ezcWorkflowExecutionVisualizerPlugin __construct( string $directory )

Constructor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$directory` | string | The directory to which the DOT files are written.

#### afterNodeActivated

void afterNodeActivated( ezcWorkflowExecution $execution , ezcWorkflowNode $node )

Called after a node has been activated.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterNodeActivated()` | Called after a node has been activated.

#### afterNodeExecuted

void afterNodeExecuted( ezcWorkflowExecution $execution , ezcWorkflowNode $node )

Called after a node has been executed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |
`$node` | ezcWorkflowNode |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowExecutionPlugin::afterNodeExecuted()` | Called after a node has been executed.

#### visualize

void visualize( ezcWorkflowExecution $execution )

Visualizes the current state of the workflow execution.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$execution` | ezcWorkflowExecution |

Documentation generated by phpDocumentor 1.4.3